Scilab Function

minus (-) - opérateur de soustraction, changement de signe

### Sequence d'appel

  `X-Y`
  `-Y`

### Parametres

- `X` : scalaire, vecteur ou matrice de nombres, polynômes ou fractions rationnelles, ou liste de type `syslin`.
- `Y` : scalaire, vecteur ou matrice de nombres, polynômes ou fractions rationnelles, ou liste de type `syslin`.

### Description

Soustraction

Pour les opérandes numériques la signification est celle de la soustraction habituelle. Si l'un des opérandes est une matrice (ou un vecteur) et l'autre un scalaire l'opération est effectuée pour chaque élément de la matrice. Si `Y==[]` le résultat est `X`. Si `X==[]` le résultat est `-Y`.

La soustraction peut être aussi définie pour d'autres types de données via la surcharge d'opérateurs (voir overloading).

### Exemples

    [1,2]-1
    []-2

    %s-2
    1/%s-2
    "cat"+"enate"

### Voir aussi

`overloading` `addf` `mtlb_mode`